use based::{
    page::Shell,
    request::{RequestContext, StringResponse},
};
use maud::{html, PreEscaped};

pub mod ai;
pub mod archive;
pub mod blacklist;
pub mod conf;
pub mod favicon;

pub async fn render_page(content: PreEscaped<String>, ctx: RequestContext) -> StringResponse {
    based::page::render_page(
        content,
        "Website Archive",
        ctx,
        &Shell::new(
            html! {
                script src="https://cdn.tailwindcss.com" {};
                meta name="viewport" content="width=device-width, initial-scale=1.0" {};
                script src="/assets/htmx.min.js" {};
            },
            html! {},
            Some("bg-zinc-950 text-white min-h-screen flex pt-8 justify-center".to_string()),
        ),
    )
    .await
}
